Bug 858533 - Global uncaught exception with 'New' group creation from 'All groups'
Global uncaught exception with 'New' group creation from 'All groups'
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
x86_64 Linux
high Severity urgent (vote)
: ---
: RHQ 4.5.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks: 858676
  Show dependency treegraph
 
Reported: 2012-09-18 23:26 EDT by Jeeva Kandasamy
Modified: 2013-09-01 06:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 858676 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:13:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screen shot (92.07 KB, image/jpeg)
2012-09-18 23:26 EDT, Jeeva Kandasamy
no flags Details
ClientSideErrorLog (browser) (1.32 KB, text/x-log)
2012-09-18 23:27 EDT, Jeeva Kandasamy
no flags Details

  None (edit)
Description Jeeva Kandasamy 2012-09-18 23:26:29 EDT
Created attachment 614191 [details]
Screen shot

Description of problem:
Throws 'Global uncaught exception' while creating new group from All groups.

Version-Release number of selected component (if applicable):
RHQ 
Version: 4.5.0-SNAPSHOT
Build Number: a493f41
GWT Version: 2.4.0
SmartGWT Version: 3.0

How reproducible:
100%

Steps to Reproduce:
1.Login to RHQ GUI
2.Navigate to 'Inventory-->All Groups'
3.Click on 'New', throws Exception
  
Actual results:
Throws Exception. Root Cause: "(TypeError): Cannot read property 'jsObj' of null"

Expected results:
Able to create new groups without any error (or) exception.

Additional info: Screen shot and client error logs are attached. There is no exception on server side.
Comment 1 Jeeva Kandasamy 2012-09-18 23:27:50 EDT
Created attachment 614192 [details]
ClientSideErrorLog (browser)
Comment 2 Jeeva Kandasamy 2012-09-18 23:29:24 EDT
Browser: Firefox ESR 10.0.6
Issue reported by Overnight GUI automation job.
Comment 3 Jirka Kremser 2012-09-19 07:03:08 EDT
looks like regression from bug 856599, i'll take it
Comment 4 Jirka Kremser 2012-09-19 07:33:45 EDT
fixed in master

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=9f17583

time:    Wed Sep 19 13:29:01 2012 +0200
commit:  9f1758393926e3a980b7148938aa358430762053
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 858533 - Global uncaught exception with 'New' group creation from 'All groups'] NPE was thrown, it was regression of b54ce46
Comment 5 Heiko W. Rupp 2013-09-01 06:13:51 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.